<?php 
require_once ("../config/db.php");
require_once ("../config/conexion.php");

$user_id = intval($_GET['id']);

// Buscamos el empleado
$query = mysqli_query($con, "SELECT cargo FROM nomina WHERE id_nomina='".$user_id."'");
$rw_user = mysqli_fetch_array($query);
$cargo = $rw_user['cargo'];

// Protección para cargos críticos
if ($cargo == "ADMINISTRADOR") {
    echo "No se puede eliminar a un Administrador o Gerente.";
} else {
    $del1 = "DELETE FROM nomina WHERE id_nomina='".$user_id."'";
    $delete1 = mysqli_query($con, $del1);
    
    if ($delete1) {
        echo "Eliminado"; // Mensaje de éxito para AJAX
    } else {
        echo "Error al eliminar";
    }
}
?>